Docs Rizler

Call Handling

Update Redial Settings

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/redial/{agent_id}
Update Redial Settings
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/redial/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "redial": 0,
  "redial_after": 0,
  "redial_agent_id": "value",
  "use_local_presence": "Yes",
  "redial_voicemail_detection": "Yes"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Redial Settings#

Update local redial settings for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

redialintegerbody

One of: 0, 1. send only when changing this field

redial_afterintegerbody

One of: 0, 1, 2, 3, 4, 5, 10, 15, 20, 25, 30, 45, 60. send only when changing this field

redial_voicemail_detectionstringbody

One of: Yes, No. send only when changing this field

redial_agent_idstringbody

may be null. send only when changing this field

use_local_presencestringbody

One of: Yes, No. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/redial/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"redial":1,"redial_after":1,"redial_voicemail_detection":"Yes","redial_agent_id":"value","use_local_presence":"Yes"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records